de.esprit.appsuite.database.dbase

## Enum DBChangeType

- java.lang.Object
- - java.lang.Enum<DBChangeType>
  - - de.esprit.appsuite.database.dbase.DBChangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DBChangeType>

      public enum DBChangeType
      extends java.lang.Enum<DBChangeType>

  Defines database actions that result in a change of database data
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETED`
    `INSERTED`
    `REHASHED`
    `UPDATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DBChangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DBChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSERTED

          public static final DBChangeType INSERTED

    - #### UPDATED

          public static final DBChangeType UPDATED

    - #### DELETED

          public static final DBChangeType DELETED

    - #### REHASHED

          public static final DBChangeType REHASHED

  - ### Method Detail

    - #### values

          public static DBChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DBChangeType c : DBChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DBChangeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 EsprIT-Systems. All Rights Reserved.